## gate.annotation
Class DatabaseAnnotationSetImpl.EventsHandler

    java.lang.Object
      |
      +--gate.annotation.DatabaseAnnotationSetImpl.EventsHandler

All Implemented Interfaces:
  AnnotationListener, AnnotationSetListener, EventListener

Enclosing class:
  DatabaseAnnotationSetImpl

class DatabaseAnnotationSetImpl.EventsHandler
extends Object
implements AnnotationListener, AnnotationSetListener

All the events from the document or its annotation sets are handled by this inner class.

Constructor Summary
`(package private)` `DatabaseAnnotationSetImpl.EventsHandler()`

Method Summary
`void` `annotationAdded(AnnotationSetEvent e)` Called when a new `Annotation` has been added
`void` `annotationRemoved(AnnotationSetEvent e)` Called when an `Annotation` has been removed
`void` `annotationUpdated(AnnotationEvent e)` Called when an `Annotation` has been updated

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### DatabaseAnnotationSetImpl.EventsHandler

    DatabaseAnnotationSetImpl.EventsHandler()

Method Detail

### annotationAdded

    public void annotationAdded(AnnotationSetEvent e)

  Description copied from interface: `AnnotationSetListener`
  Called when a new `Annotation` has been added
  Specified by:
    `annotationAdded` in interface `AnnotationSetListener`

### annotationRemoved

    public void annotationRemoved(AnnotationSetEvent e)

  Description copied from interface: `AnnotationSetListener`
  Called when an `Annotation` has been removed
  Specified by:
    `annotationRemoved` in interface `AnnotationSetListener`

### annotationUpdated

    public void annotationUpdated(AnnotationEvent e)

  Description copied from interface: `AnnotationListener`
  Called when an `Annotation` has been updated
  Specified by:
    `annotationUpdated` in interface `AnnotationListener`